-- @start_restricted_prolog@
-- Licensed Materials - Property of IBM
-- 5724-I82 5724-L01 5655-N63 5655-R15
-- Copyright IBM Corporation 2005 All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- @end_restricted_prolog@

-- Sybase V12.5 schema for Message Logger Mediation

create table ESBLOG.MSGLOG
  (TimeStamp DATETIME not null,
   MessageID VARCHAR(36) not null,
   MediationName VARCHAR(256) not null,
   ModuleName VARCHAR(256),
   Message TEXT,
   Version VARCHAR(10))
GO

alter table ESBLOG.MSGLOG
  add constraint PK_MSGLOG primary key (TimeStamp, MessageID, MediationName)
GO